POST ImportVehicles
Creates vehicles using an uploaded Excel file.
Request Information
URI Parameters
None.
Body Parameters
The data of the vehicles.
ImportVehiclesDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
|
| NetworkId | globally unique identifier |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| Culture | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "568bd0d3-5875-460f-8183-cd317ddc821b",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "2c16c395-7ddb-4b57-b01a-83564dcdb2db",
"IdProgram": "2e51fbd4-eeb5-45e2-9bbe-77053e532c40",
"IdLoyaltyProgram": "2a578db3-05c7-444c-ab37-b83504d9d9e4",
"IdHologramTypeModel": "fa1b4114-2646-4752-8cd1-617f87af22bb",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "69079e23-f2b0-440d-8638-4bff6f2ba1a1",
"IdState": "7b89cf7a-d209-4856-9d3d-5349587b3a68",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
},
"NetworkId": "c731c330-ad44-49a5-9cad-08b4c3be9e2b",
"CompanyId": "a6263a94-1851-4e1a-b976-af6494dc9f37",
"Culture": "sample string 2"
}
application/xml, text/xml
Sample:
<ImportVehiclesDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>69079e23-f2b0-440d-8638-4bff6f2ba1a1</IdCountry>
<IdState>7b89cf7a-d209-4856-9d3d-5349587b3a68</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<CompanyId>a6263a94-1851-4e1a-b976-af6494dc9f37</CompanyId>
<Culture>sample string 2</Culture>
<File>QEA=</File>
<IdCompanyContract>568bd0d3-5875-460f-8183-cd317ddc821b</IdCompanyContract>
<IdHologramTypeModel>fa1b4114-2646-4752-8cd1-617f87af22bb</IdHologramTypeModel>
<IdIdentificationsTypeModel>2c16c395-7ddb-4b57-b01a-83564dcdb2db</IdIdentificationsTypeModel>
<IdLoyaltyProgram>2a578db3-05c7-444c-ab37-b83504d9d9e4</IdLoyaltyProgram>
<IdProgram>2e51fbd4-eeb5-45e2-9bbe-77053e532c40</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
<NetworkId>c731c330-ad44-49a5-9cad-08b4c3be9e2b</NetworkId>
</ImportVehiclesDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Object of ImportDto class.
ImportVehiclesDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
|
| NetworkId | globally unique identifier |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| Culture | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "5e5cbdc1-b48a-4251-904c-cdec5236c00a",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "3ac8e564-d30b-4321-a362-67a7c92c9754",
"IdProgram": "3469b9f1-745b-423e-b39f-e0fb79d79f3e",
"IdLoyaltyProgram": "3b95a20a-ee54-4db7-83c3-3dbbcd451cd9",
"IdHologramTypeModel": "f9122fe1-0716-4ed3-aab2-0b2dbaf710b4",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "23d86e13-1078-4757-bc9a-755dc361539f",
"IdState": "f2e19e51-f7c0-4386-a5f7-038c93f5b785",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
},
"NetworkId": "e2c1194c-4aff-47c2-ad65-5228f9988550",
"CompanyId": "3f1d5099-ec7c-487e-9b6d-7ba5e95ebd94",
"Culture": "sample string 2"
}
application/xml, text/xml
Sample:
<ImportVehiclesDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>23d86e13-1078-4757-bc9a-755dc361539f</IdCountry>
<IdState>f2e19e51-f7c0-4386-a5f7-038c93f5b785</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<CompanyId>3f1d5099-ec7c-487e-9b6d-7ba5e95ebd94</CompanyId>
<Culture>sample string 2</Culture>
<File>QEA=</File>
<IdCompanyContract>5e5cbdc1-b48a-4251-904c-cdec5236c00a</IdCompanyContract>
<IdHologramTypeModel>f9122fe1-0716-4ed3-aab2-0b2dbaf710b4</IdHologramTypeModel>
<IdIdentificationsTypeModel>3ac8e564-d30b-4321-a362-67a7c92c9754</IdIdentificationsTypeModel>
<IdLoyaltyProgram>3b95a20a-ee54-4db7-83c3-3dbbcd451cd9</IdLoyaltyProgram>
<IdProgram>3469b9f1-745b-423e-b39f-e0fb79d79f3e</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
<NetworkId>e2c1194c-4aff-47c2-ad65-5228f9988550</NetworkId>
</ImportVehiclesDto>